axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From robert lazarski <robertlazar...@gmail.com>
Subject Re: [Axis2] Deploying Axis2-1.5 on JBoss 5.0.0
Date Fri, 11 Sep 2009 09:57:45 GMT
On Fri, Sep 11, 2009 at 6:55 AM, robert lazarski
<robertlazarski@gmail.com> wrote:
> On Fri, Sep 11, 2009 at 3:44 AM, Sebastian Schneider
> <schneider@dvz.fh-aachen.de> wrote:
>> Helllo everyone,
>>
>> I would like to use Axis2 on JBoss 5.0.0 but I am struggling. I downloaded the WAR-package
(Axis2-1.5) and I put the WAR in my deploy-folder. Unfortunately deploying fails with an exception
stating that a new SAX parser cannot be created. From the documentation I understood that
all the required libs are included in the WAR-package because the installation description
for the WAR-package does not mention the installation of additional libraries. So do I need
to add additional libraries to the lib-folder or not? I am kind of confused. I am running
JBoss AS on Windows with the default-profile. Here's the stacktrace from the log-file:
>>
>>
>> 2009-09-11 08:26:17,882 INFO  [org.jboss.web.tomcat.service.deployers.TomcatDeployment]
(main) deploy, ctxPath=/axis2, vfsUrl=axis2.war
>> 2009-09-11 08:26:18,320 ERROR [org.jboss.web.tomcat.service.deployers.JBossContextConfig]
(main) XML error parsing: context.xml
>> org.jboss.xb.binding.JBossXBRuntimeException: Failed to create a new SAX parser
>> at
>
> JBoss ships its own SAX parser in higher precedence classloader,
> Remove the xerces jar that comes with axis2 for starters, ie, remove
> it from your ear / war that you are deploying to JBoss. You probably
> will have to do that for a few other jars as well.
>
> HTH,
> - R
>

Eh, it may not be the xerces jar that ships a sax parser - I can't
remember which jar it is at the moment as I haven't had my coffee yet
:-) - but hopefully you get my point.

- R

Mime
View raw message